Kerbal Space Program - Bug #9620

no longer able to assign D-pad to translation button controls (treated as axis)
04/30/2016 04:02 AM - gnivler

Status: Needs Clarification Start date: 04/30/2016
Severity: Normal % Done: 0%
Assignee:

Category: Controls and Ul

Target version:

Version: 111 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

This worked until the 1.1.1 update. | have a backup of my settings.cfg from before, attached.

Easy to reproduce:

Settings > Input

click to assign Translate Up/Down/Left/Right, press D-pad direction and nothing happens.

Previously it would assign a joystick button but now it seems to be an axis (assignable on the right panel).

This a significant hindrance to using this controller unfortunately, not complaining though!

Thanks!

History

#1 - 04/30/2016 04:07 AM - gnivler

edit - unfortunately appears the attached backup settings.cfg got screwed up while testing this, it doesn't show the button assignment from what | can
see (but it was definitely treated as 4 buttons).

maybe NotABug like #8203

#2 - 07/17/2016 09:48 AM - TriggerAu

- Status changed from New to Needs Clarification

Files
settings - before.cfg 26.3 KB 04/30/2016 gnivler
settings.cfg 26.8 KB 04/30/2016 gnivler
